<?php

namespace Drupal\mercury_editor\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Listens to the dynamic route events.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('layout_paragraphs.builder.insert')) {
      $route->setDefault('_controller', '\Drupal\mercury_editor\Controller\InsertComponentController::skipInsertForm');
    }
    if ($route = $collection->get('layout_paragraphs.builder.edit_item')) {
      $route->setDefault('_form', '\Drupal\mercury_editor\Form\EditComponentForm');
    }
    if ($route = $collection->get('layout_paragraphs.builder.delete_item')) {
      $route->setDefault('_form', '\Drupal\mercury_editor\Form\DeleteComponentForm');
    }
    if ($route = $collection->get('layout_paragraphs.builder.choose_component')) {
      $route->setDefault('_controller', '\Drupal\mercury_editor\Controller\ChooseComponentController::list');
    }
  }

}
